List your organization's rating plan requests for a product
curl --request GET \
--url https://api.canary.effectiveai.app/api/v2/insurance/products/{productId}/rating-plan-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.canary.effectiveai.app/api/v2/insurance/products/{productId}/rating-plan-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.canary.effectiveai.app/api/v2/insurance/products/{productId}/rating-plan-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"productId": "<string>",
"requests": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "<string>",
"state": "<string>",
"status": "requested",
"note": "<string>",
"resolutionNote": "<string>",
"raterId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"location": "path",
"path": [
"<string>"
],
"code": "required",
"message": "<string>"
}
],
"requestId": "<string>",
"dataset": "naic"
}Products
List your organization's rating plan requests for a product
Your organization’s current rating plan request for each state of the product, sorted by state. States never requested are absent. When an unavailable state is requested again, the new request replaces it here. Use requestProductRatingPlans to request more states.
GET
/
insurance
/
products
/
{productId}
/
rating-plan-requests
List your organization's rating plan requests for a product
Authorizations
Effective API key. Send Authorization: Bearer sk-eai-...
Path Parameters
Managed product_ ID or bare checked code; case-insensitive with Crockford aliases.